Skip to main content
GET
/
api
/
admin
/
user
/
{userId}
Get user details by ID (Admin only)
curl --request GET \
  --url https://pria.praxislxp.com/api/admin/user/{userId} \
  --header 'x-access-token: <api-key>'
import requests

url = "https://pria.praxislxp.com/api/admin/user/{userId}"

headers = {"x-access-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};

fetch('https://pria.praxislxp.com/api/admin/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "rt_voice": "coral",
    "use_location": true,
    "showSideBar": true,
    "dark_mode": true,
    "_id": "<string>",
    "email": "<string>",
    "fname": "<string>",
    "lname": "<string>",
    "picture": "<string>",
    "password": "<string>",
    "accountType": "<string>",
    "permissions": [
      "<string>"
    ],
    "customerId": "<string>",
    "lxp_user_id": "<string>",
    "lxp_user_type": 123,
    "lxp_partner_id": "<string>",
    "lxp_partner_name": "<string>",
    "lxp_role_id": 123,
    "lxp_role_name": "<string>",
    "credits": 123,
    "creditsUsed": 123,
    "plan": "<string>",
    "status": "<string>",
    "trial_end": "2023-11-07T05:31:56Z",
    "trial_used": true,
    "current_period_end": "2023-11-07T05:31:56Z",
    "cancel_at_period_end": true,
    "referralId": "<string>",
    "referrerPaid": true,
    "institution": {
      "_id": "<string>",
      "name": "<string>",
      "picture": "<string>",
      "credits": 123,
      "creditsUsed": 123,
      "creditsAwarded": 123,
      "publicId": "<string>",
      "publicAuthorizedUrls": [
        "<string>"
      ],
      "ainame": "<string>",
      "contactEmail": "<string>",
      "poolCredits": true,
      "created": "2023-11-07T05:31:56Z",
      "lastActivityAt": "2023-11-07T05:31:56Z",
      "conversationModel": "<string>",
      "account": {
        "_id": "<string>",
        "name": "<string>",
        "managerEmail": "jsmith@example.com",
        "credits": 123,
        "domainUrls": [
          "<string>"
        ],
        "qualification": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "creditCaps": {
          "enabled": false,
          "perUserAccountTotal": 123,
          "perUserInstitutionDefault": 123,
          "perUser24hDefault": 123
        }
      },
      "agent": {
        "enabled": true,
        "preset": "<string>",
        "manifestYaml": "<string>",
        "manifestDigest": "<string>",
        "preferences": {
          "cpu": 2.125,
          "memoryMb": 4352,
          "storageGb": 52,
          "gui": true,
          "vncResolution": "1280x800"
        },
        "requestedBy": "<string>",
        "requestedAt": "2023-11-07T05:31:56Z",
        "provisionedAt": "2023-11-07T05:31:56Z",
        "lastError": "<string>"
      },
      "maxCompletionTokens": 123,
      "creditsTotal": 123,
      "creditsUsagePct": 123,
      "id": "<string>",
      "displayAgentDetails": true,
      "displayThinkingDetails": true,
      "displayRagSearchDetails": true,
      "displayThinkingExecution": true,
      "displayToolExecution": true
    },
    "resetCodeId": "<string>",
    "direct": true,
    "invoices_urls": [
      "<string>"
    ],
    "remember_history_count": 123,
    "browser_voice": "<string>",
    "created": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-access-token
string
header
required

JWT token passed in x-access-token header

Path Parameters

userId
string
required

The user ID to retrieve

Response

User details retrieved successfully

success
boolean

Request success status

data
object